Bug 29101 - ability to turn off delayed TCP ACKs
Summary: ability to turn off delayed TCP ACKs
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-23 17:48 UTC by Alexander L. Belikoff
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-23 20:41:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander L. Belikoff 2001-02-23 17:48:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14smp i686; Nav)


It'd be extremely useful to have the kernel patched to allow disabling
delayed ACKs.
AFAIK there was at least one patch for 2.2 made by Andrea Arcangeli. That
one introduced a proc file /proc/sys/net/ipv4/tcp_disable_delacks for
controlling it.

On certain connections, "fast" ACKs allow to boost the performance
dramatically. For example, I'm dealing w/ the case where a connection w/
delayed ACKs gives a 0.7 sec. request turnaround time, whereas without
delayed ACKs the time drops to 0.2 sec.


Reproducible: Always
Steps to Reproduce:
1. n/a
2.
3.

Comment 1 Arjan van de Ven 2001-03-21 17:41:06 UTC
Not for the next release


Note You need to log in before you can comment on or make changes to this bug.